'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const chunk = (array, chunkSize) => array.reduce((chunks, item, index) => {
  const chunkIndex = Math.floor(index / chunkSize);
  if (!chunks[chunkIndex]) {
    chunks[chunkIndex] = [];
  }
  chunks[chunkIndex].push(item);
  return chunks;
}, []);
const zipMap = (left, right, fn) => left.map((t, index) => fn(t, right?.[index] ?? null, index));
const uniqueBy = (array, fn) => array.reduce((acc, v) => {
  if (!acc.some(x => fn(v, x))) acc.push(v);
  return acc;
}, []);

exports.chunk = chunk;
exports.uniqueBy = uniqueBy;
exports.zipMap = zipMap;
//# sourceMappingURL=arrays.cjs.map
