import type { Context } from './Context';
import type { PublicKey } from './PublicKey';
import type { Signer } from './Signer';
export type Keypair = {
    publicKey: PublicKey;
    secretKey: Uint8Array;
};
export type KeypairSigner = Signer & Keypair;
export declare const generateSigner: (context: Pick<Context, 'eddsa'>) => KeypairSigner;
export declare const createSignerFromKeypair: (context: Pick<Context, 'eddsa'>, keypair: Keypair) => KeypairSigner;
export declare const isKeypairSigner: (signer: Signer & {
    secretKey?: Uint8Array;
}) => signer is KeypairSigner;
